(: ------------------ return target ----------- :)
<target>
{target/missing_customers}
{target/missing_currencies}
<risky_customers>
{
  (: ------------------ return risky customers in ascending order ----------- :)    
  for $elem in target/risky_customers/risky_customer
  let $customer := $elem/customer_id, $customer_last := $elem/customer_last_name, $customer_first := $elem/customer_first_name
  group by $customer, $customer_last,  $customer_first
  return 
  if(sum($elem/amount) > 400000 ) 
  then
        <risky_customer>
          <customer_id> {$customer}</customer_id>
          <customer_last_name> {$customer_last}</customer_last_name>
          <customer_first_name> { $customer_first}</customer_first_name>
          <amount>{fn:round(sum($elem/amount), 1)}</amount>
          <currency>Euro</currency>
        </risky_customer>
else()
}
</risky_customers>
</target>
